# `UCL - UNIFIED COMPONENTS LIBRARY`
  To provide the components to creating an application make it easy. 
  By using you can create own set of components for your brand - then use it in multiple applications.    

## Folder structure  description

### components - folder
To maintain the components offered from library.

- InternalIcon - To used for components default icon needed place.
- ThemeProvider - To used for application user can customize and manage the used UCL components.
- docsprovider - To used for docs presenation 
- Provider.js - To used for docs presenation 

### custom-hooks - folder
To maintain the common state management hooks and commonly usable react hooks.

### propTypes - folder 
To maintain the common propTypes servered across the components.

### libraries - folder
To maintain what are all can be used for across the components and publishable.

### utils - folder
To maintain the utils used in UCL components

### internal-variables - folder
We will keep across the component CSS Value as @value property wise (CSS Module system) files.
It will used in public-variables folder and internal use case.

### public-variables - folder
We keep publicly accessible variables it will used for all component .css file directly by var(...).
We load as Global css variables under :root { ... }

### commoncss - folder
To maintain commonly used css line of code, later we will compose them from anywhere.

### viewers - folder
To use for manage the UCL presentation  - docs , used colors 
    - DocsViewer - used for docs persention common accross the component .docs.js file.

