function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import React from "react";
import CalendarviewBehaviour from "./Calendarview.behaviour";
import CalendarviewSkeleton from "./Calendarview.skeleton";
import CalendarviewPropTypes, { defaultProps, propsDescription } from "./Calendarview.propTypes";
import componentGroups from "../../../docs-utils/componentGroups";
import componentCategories from "../../../docs-utils/componentCategories";
import constantProps from "./Calendarview.constantProps";
export default function Calendarview(props) {
  return /*#__PURE__*/React.createElement(CalendarviewBehaviour, _extends({}, props, {
    renderComponent: CalendarviewSkeleton
  }));
}
Calendarview.propTypes = CalendarviewPropTypes;
Calendarview.defaultProps = defaultProps;
Calendarview.propsDescription = propsDescription;
Calendarview.constantProps = constantProps;

if (false) {
  Calendarview.docs = {
    componentGroup: componentGroups.Components,
    folderName: componentCategories.UCL
  };
}