import PropTypes from "prop-types";
import dialogAriaProps from "./Dialog.ariaPropTypes";
import tagAttributeProps, { tagAttributePropsName } from "../../propTypes/htmlAttributes.propTypes";
import customClassProps, { customClassPropName } from "../../propTypes/customClassName.propTypes";
import automationProps, { automationPropsName } from "../../propTypes/automation.propTypes";
import defaultCustomIds from "./Dialog.customIds";
export const headerPropTypes = {
  children: PropTypes.any,
  cancelIcon: PropTypes.any,
  onClose: PropTypes.func,
  ...customClassProps
};
export const bodyPropTypes = {
  children: PropTypes.any,
  ...tagAttributeProps,
  ...customClassProps
};
export const footerPropTypes = {
  children: PropTypes.any,
  ...tagAttributeProps,
  ...customClassProps
};
export default {
  children: PropTypes.any,
  ...dialogAriaProps,
  ...tagAttributeProps,
  ...customClassProps,
  ...automationProps
};
export const defaultProps = {
  [automationPropsName]: defaultCustomIds,
  [customClassPropName]: {},
  [tagAttributePropsName]: {}
};