function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import React from "react";
import RadioGroupBehaviour, { RadioContextBehaviour, RadioBehaviour } from "./RadioGroup.behaviour";
import RadioGroupSkeleton, { Radio as RadioSkeleton, RadioGroupContext as RadioGroupContextSkeleton } from "./RadioGroup.skeleton";
import radioPropTypes, { radioDefaultProps, radioPropsDescription, radioGroupProps, radioGroupDefaultProps, radioGroupPropsDescription, radioContextProps, radioContextDefaultProps, radioContextPropsDescription } from "./RadioGroup.propTypes";
import constantProps, { RadioGroupConstant } from "./RadioGroup.constantProps";
import componentCategories from "../../docs-utils/componentCategories";
import componentGroups from "../../docs-utils/componentGroups";
export default function RadioGroup(props) {
  return /*#__PURE__*/React.createElement(RadioGroupBehaviour, _extends({}, props, {
    renderComponent: RadioGroupSkeleton
  }));
}
RadioGroup.propTypes = radioGroupProps;
RadioGroup.defaultProps = radioGroupDefaultProps;
RadioGroup.propsDescription = radioGroupPropsDescription;
RadioGroup.constantProps = RadioGroupConstant;
export function RadioGroupContext(props) {
  return /*#__PURE__*/React.createElement(RadioContextBehaviour, _extends({}, props, {
    renderComponent: RadioGroupContextSkeleton
  }));
}
RadioGroupContext.propTypes = radioContextProps;
RadioGroupContext.defaultProps = radioContextDefaultProps;
RadioGroupContext.propsDescription = radioContextPropsDescription;
RadioGroupContext.constantProps = RadioGroupConstant;
export function Radio(props) {
  return /*#__PURE__*/React.createElement(RadioBehaviour, _extends({}, props, {
    renderComponent: RadioSkeleton
  }));
}
Radio.propTypes = radioPropTypes;
Radio.defaultProps = radioDefaultProps;
Radio.propsDescription = radioPropsDescription;
Radio.constantProps = constantProps;

if (false) {
  RadioGroup.docs = {
    componentGroup: componentGroups.Components,
    folderName: componentCategories.UCL
  };
}