function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import React from "react";
import SelectWithSearchBehaviour from "./SelectWithSearch.behaviour";
import SelectWithSearchSkeleton from "./SelectWithSearch.skeleton";
import selectPropTypes, { defaultProps, propsDescription, constantProps } from "./SelectWithSearch.propTypes";
import componentCategories from "../../../docs-utils/componentCategories";
import componentGroups from "../../../docs-utils/componentGroups";
export default function SelectWithSearch(props) {
  return /*#__PURE__*/React.createElement(SelectWithSearchBehaviour, _extends({}, props, {
    renderComponent: SelectWithSearchSkeleton
  }));
}
SelectWithSearch.propTypes = selectPropTypes;
SelectWithSearch.defaultProps = defaultProps;
SelectWithSearch.propsDescription = propsDescription;
SelectWithSearch.constantProps = constantProps;

if (false) {
  SelectWithSearch.docs = {
    componentGroup: componentGroups.Components,
    folderName: componentCategories.UCL
  };
}