import imgUrl from '../../../../images/button.png'; //import decorationStyles from "@zohodesk/docs/es/docsviewer/DocsViewer.module.css";

export default ((_ref, components) => {
  let {
    mode,
    theme
  } = _ref;
  return {
    header: {
      title: 'Yearview Component',
      imgUrl: imgUrl,
      description: 'Use the Yearview component to select the month and year'
    },
    tabsList: ['Default'],
    tabsDetail: {
      Default: {
        displayName: 'Default',
        description: 'The default Year is shown',
        componentsList: ['act', 'active'],
        componentsDetail: {
          act: {
            monthNames: ['ஜனவரி', 'பிப்ரவரி', 'மார்ச்', 'ஏப்ரல்', 'மே', 'ஜூன்', 'ஜூலை', 'ஆகஸ்ட்', 'செப்டம்பர்', 'அக்டோபர்', 'நவம்பர்', 'டிசம்பர்'],
            monthNamesShort: ['ஜன', 'பிப்', 'மார்', 'ஏப்', 'மே', 'ஜூன்', 'ஜூலை', 'ஆக', 'செப்', 'அக்', 'நவ', 'டிச'],
            isMonthOpen: true
          }
        }
      }
    }
  };
});