import { compileClassNames } from '@zohodesk/utils';
/**
 * container classname based on js state
 * @param {object} props popupContent props
 * @param {object} style popupContent syle
 * @returns {object} object of classnames string with space separate
 */

export default function (props, style) {
  let {
    size,
    color
  } = props;
  return compileClassNames({
    [style[size]]: true,
    [style[color]]: true,
    [style.popup]: true
  });
}