function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import React from "react";
import TextBehaviour from "./Text.behaviour";
import TextSkeleton from "./Text.skeleton";
import textPropTypes, { defaultProps, propsDescription } from "./Text.propTypes";
import constantProps from "./Text.constantProps";
import componentCategories from "../../docs-utils/componentCategories";
import componentGroups from "../../docs-utils/componentGroups";
export default function Text(props) {
  return /*#__PURE__*/React.createElement(TextBehaviour, _extends({}, props, {
    renderComponent: TextSkeleton
  }));
}
Text.propTypes = textPropTypes;
Text.defaultProps = defaultProps;
Text.propsDescription = propsDescription;
Text.constantProps = constantProps;

if (false) {
  Text.docs = {
    componentGroup: componentGroups.Components,
    folderName: componentCategories.UCL
  };
}